﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Net;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using System.Web.Mvc;

namespace TelerikCheckBoxIssue.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";
            ViewBag.Id = 5;
            return View();
        }
        public ActionResult Contractors_Read([DataSourceRequest]DataSourceRequest request)
        {
            int Id = 1;
            return Json(TelerikCheckBoxIssue.Models.ContractModel.GetAllContractors(Id).ToDataSourceResult(request));
        }

        public ActionResult Services_Read([DataSourceRequest]DataSourceRequest request,  int contractorId)
        {
            int contractId = 1;
            return Json(TelerikCheckBoxIssue.Models.ContractModel.GetAllServices(contractId, contractorId).ToDataSourceResult(request));
        }
    }
}
